Skip to content

Update Start Script

PUT
/notebooks/init-script/{Start_Script_Id}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/init-script/{Start_Script_Id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"init_script": "string"
}'

Updates the name or content of a startup script. A change to a script takes effect after the VM restarts.

Start_Script_Id
required
integer

Start Script Id

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
name

The updated name of the start script

string
init_script

The updated start script content

string

Example generated

{
"name": "example",
"init_script": "example"
}

Successful response